FreeMat

- Main Page
- Related Pages

vtkPOutlineCornerFilter

Section: Visualization Toolkit Parallel Classes

# Usage

vtkPOutlineCornerFilter works like vtkOutlineCornerFilter, but it looks for data partitions in other processes. It assumes the filter is operated in a data parallel pipeline.

To create an instance of class vtkPOutlineCornerFilter, simply invoke its constructor as follows

      obj = vtkPOutlineCornerFilter

# Methods

The class vtkPOutlineCornerFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPOutlineCornerFilter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPOutlineCornerFilter = obj.NewInstance ()`
- `vtkPOutlineCornerFilter = obj.SafeDownCast (vtkObject o)`
- `obj.SetCornerFactor (double )` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMinValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactorMaxValue ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `double = obj.GetCornerFactor ()` - Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds
- `obj.SetController (vtkMultiProcessController )` - Set and get the controller.
- `vtkMultiProcessController = obj.GetController ()` - Set and get the controller.